#!/bin/sh
home="/home/dionis"
dir_debugs=deb_rot
dir_logs=log_rot

cd $home/users || exit 1
if [ ! -d $home/$dir_debugs ] ; then
	mkdir $home/$dir_debugs || exit 1
fi
if [ ! -d $home/$dir_logs ] ; then
	mkdir $home/$dir_logs || exit 1
fi
dirs=`ls`
for string in  $dirs; do
	if [ -d $string ] ; then
		cd $string
		D=`pwd`
		N=`basename $D`
		echo $N
		rm -f $home/$dir_debugs/$N.gz
		rm -f $home/$dir_logs/$N.gz
		mv debug $home/$dir_debugs/$N && gzip -9 $home/$dir_debugs/$N
		mv log $home/$dir_logs/$N && gzip -9 $home/$dir_logs/$N
		cd ..
	fi
done

$home/bin/archdm.sh
