#define ALARM_KILL 30 /* kill 1 mins noactive */

void  set_alarm(void);
void  unset_alarm(void);
void  handler_alarm(void);

void  set_alarm_out(void);
void  unset_alarm_out(void);

void  sleep_kill_start(void); /*  ,     */
void  sleep_kill_stop(void);  /* ,   ,  */

extern long int bytes_in;
extern int flg_inetd;
extern int flg_auto_cr;

void  detect_single_mode(void);
int   getch(int detect_idle);

char *editstring(char *prompt);
char *login_editstring(char *prompt);
char *pstringnoecho(char *prompt);
char *editrem(char *prompt);
char *fixeditstr(char *sets);
char *edit_existed (char *prompt);

int   yes_no(char *prompt);
int   no_yes(char *prompt);

int   wait_cr(void);
void  warn_timeout(int prompt);

void  scaninit(void); /*      */
void  scanclose(void);
void  put_log(const char *s, ...) __attribute__ ((format (printf, 1, 2)));
void  stop_term(int flg_idle_term);
void  stop_hup(void);
void  stop_idle(void);
void  stoped_new_pid(void);

void set_hup_term(void);

int if_killed(void);
void raise_old_pid(int pid);
void set_sig_usr1_already_login(void);

void scan_aliases_change(void);

#ifdef DEBUG
#define debug1(a) a
#define debug2(a)
#else
#define debug1(a)
#define debug2(a) a
#endif
