#include <stdio.h>

#define U_C(c) ((int)(c) & 0xff)
int main()
{
	int c;

	while( (c = getchar()) != EOF) {
		if(c > 127) {
			switch(c) {
				case U_C(''):
					putchar('v');
					continue;
				case U_C(''):
					putchar('V');
					continue;
				case U_C(''):
					putchar('z');
					putchar('h');
					continue;
				case U_C(''):
					putchar('Z');
					putchar('H');
					continue;
				case U_C(''):
				case U_C(''):
					putchar('4');
					continue;
				case U_C(''):
					putchar('s');
					putchar('h');
					continue;
				case U_C(''):
					putchar('S');
					putchar('H');
					continue;
				case U_C(''):
					putchar('s');
					putchar('c');
					putchar('h');
					continue;
				case U_C(''):
					putchar('S');
					putchar('C');
					putchar('H');
					continue;
				case U_C(''):
				case U_C(''):
				case U_C(''):
				case U_C(''):
					putchar('`');
					continue;
				case U_C(''):
					putchar('e');
					continue;
				case U_C(''):
					putchar('E');
					continue;
				case U_C(''):
					putchar('y');
					putchar('u');
					continue;
				case U_C(''):
					putchar('Y');
					putchar('U');
					continue;
				case U_C(''):
					putchar('y');
					putchar('a');
					continue;
				case U_C(''):
					putchar('Y');
					putchar('A');
					continue;
			}
			c &= 0x7f;
			c ^= 040;
		}
		putchar(c);
	}
	return 0;
}
