#!/bin/sh

export LANG=POSIX
export LC_CTYPE=POSIX
export LC_NUMERIC=POSIX
export LC_TIME=POSIX
export LC_COLLATE=POSIX
export LC_MONETARY=POSIX
export LC_MESSAGES=POSIX
export LC_ALL=

home="/home/dionis"
arch_dir="archiv"
arch_in="in"
arch_out="out"

date_usage="1 month ago"
dir_prev_mes_ascii=`date --date "$date_usage" +%b`
dir_prev_mes_num=`date --date "$date_usage" +%m`

cd $home/$arch_dir || (echo Canot cd to $home/$arch_dir ; exit 1)
echo $dir_prev_mes_ascii

dirs=`ls`
for string in  $dirs; do
	if [ -d $string ] ; then
		E=`expr index $string c`
		if [ 0 = $E ] ; then
			cd $string
			if [ -d $arch_in ] ; then
				cd $arch_in
				pwd
				for days_num in 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 ; do
					if [ -d "$days_num"_"$dir_prev_mes_num" ] ; then
						if [ ! -d $dir_prev_mes_ascii ] ; then
							mkdir $dir_prev_mes_ascii
						fi
					mv "$days_num"_"$dir_prev_mes_num" $dir_prev_mes_ascii
					fi
				done
				cd ..
			fi
			if [ -d $arch_out ] ; then
				cd $arch_out
				pwd
				for days_num in 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 ; do
					if [ -d "$days_num"_"$dir_prev_mes_num" ] ; then
						if [ ! -d $dir_prev_mes_ascii ] ; then
							mkdir $dir_prev_mes_ascii
						fi
					mv "$days_num"_"$dir_prev_mes_num" $dir_prev_mes_ascii
					fi
				done
				cd ..
			fi
			pwd
			for days_num in 01 02 03 04 05 06 07 08 09 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 ; do
				if [ -d "$days_num"_"$dir_prev_mes_num" ] ; then
					if [ ! -d $dir_prev_mes_ascii ] ; then
						mkdir $dir_prev_mes_ascii
					fi
				mv "$days_num"_"$dir_prev_mes_num" $dir_prev_mes_ascii
				fi
			done
			cd ..
		fi
	fi
done
