#include <sys/types.h>
#include <pwd.h>
#include <stdarg.h>
#include <crypt.h>
#include "fun.h"
#include "db.h"
#include "cgi_fun.h"



static const char first[] = "HTTP/1.0 200 OK\nContent-type: text/html\n\n"
	"<HTML>\n<HEAD>\n <META HTTP-EQUIV=\"Content-Type\" "
	"CONTENT=\"text/html; charset=koi8-r\">\n</HEAD>\n"
	" <TITLE>    "
	"   </TITLE>\n<BODY>";

static const char cur_cgi[]="/cgi-bin/in.cgi";

static struct INF_S *inf_s;

static void
put_ls_in (int i, int flg_title)
{
  if (flg_title) {
	printf ("<h2>  </h2><BR>\n");
	printf ("<p>     <BR><BR>\n");
	printf("<FORM ACTION=\"%s/%s?select\" METHOD=%s>\n",
		    cur_cgi, pu_cur.user, request_method);
	printf ("<TABLE border=1>\n");
	printf (" <TH><center></center></TH>\n");
	printf (" <TH></TH>\n");
	printf (" <TH><center></center></TH>\n");
	printf (" <TH>&nbsp;</TH>\n");
	printf (" <TH align=right>&nbsp;()</TH>\n");
	printf (" <TH><br></TH>\n");
	printf (" <TH>&nbsp;...</TH>\n");
	printf (" <TH></TH>\n");
  }
  printf (" <TR>\n");
  printf ("  <td>%s</td>\n",
	    (inf_s[i].flg_r == '0' ? "" : ""));
  printf ("  <td align=right><TT>%d</TT></td>\n", i + 1);
  printf ("  <td>%s</td>\n",
	    (inf_s[i].flg_d == '1' ? "" :
			inf_s[i].flg_uo ? " " : "&nbsp;"));
  printf ("  <td><a href=\"%s/%s?read=%s&%s\">%s</a></td>\n", cur_cgi,
		    pu_cur.user, inf_s[i].file_inc, inf_s[i].user,
		    inf_s[i].file);
  printf ("  <td align=right><TT>%ld</TT></td>\n", inf_s[i].sz);
  printf ("  <td>%s</td>\n", inf_s[i].d);
  printf ("  <td>%s</td>\n", inf_s[i].rem);
  printf ("  <td><SELECT NAME=%s/%s>",  inf_s[i].user, inf_s[i].file_inc);
  if ((inf_s[i].flg_r == '1' && inf_s[i].flg_d == '1') || inf_s[i].flg_uo)
      printf ("<OPTION>  ");
  if (inf_s[i].flg_r == '1' && inf_s[i].flg_d == '0' && inf_s[i].flg_uo==0)
      printf ("<OPTION>");
  if(inf_s[i].flg_uo==0) {
      printf ("<OPTION>");
      if (inf_s[i].flg_d == '1')
	printf ("<OPTION>");
  }
  printf ("</SELECT></td>\n");
  printf (" </TR>\n");
}

static char *send_inf2email(char *email, int i)
{
    if(inf_s[i].flg_uo == 0) {
	char *e;

	if(email == 0)
	    email = get_abon_email();
	if(email == 0) {
	    warn_d ("   email<br>\n");
	    email = pu_cur.user;
	    }
	if(email != pu_cur.user) {
	    struct stat statb;
	    /* ../user/out/file */
	    char path_tst_uo[10 + MAXPU_LEN + INC_KEY_SIZE];

	    sprintf (path_tst_uo, "../%s/out/%s",
			    inf_s[i].user, inf_s[i].file_inc);
	    if (stat (path_tst_uo, &statb)) {
		warn_d(" %s  <br>\n", inf_s[i].file);
		inf_s[i].flg_uo=1;
	    } else {
		char command[1024];

		e = f_prompt (" :  %s  %s %s\n\n",
				inf_s[i].file, inf_s[i].user, inf_s[i].d);
		/* $1 - To, $2 - Key, $3 info, $4 file, $5 fileinc */
		sprintf(command, "../../dpager '%s' '%s@%s/%s'"
				 " '%s' '%s' '%s'",
			email, pu_cur.user, inf_s[i].user, inf_s[i].file_inc,
			e, inf_s[i].file, path_tst_uo);
		system (command);
	    }
	}
    }
    return email;
}

/* from d_in_f.c */
static void set_I_vars(void)
{
  int n, un, i;
  char path_tst_uo[10 + MAXPU_LEN + INC_KEY_SIZE];      /* ../user/out/file */
  struct stat statb;
  int flg_ok;
  char *qs = 0;
  char *del_ok = 0;

  n = get_db_inf (&inf_s);
  if (n > 0) {
	un = 0;
	for (i = 0; i < n; i++) {
	  sprintf (path_tst_uo, "../%s/out/%s", inf_s[i].user, inf_s[i].file_inc);
	  if (stat (path_tst_uo, &statb))
		inf_s[i].flg_uo = 1;
	  if (inf_s[i].flg_new == '1') {
		inf_s[i].flg_new_sav = '1';
		inf_s[i].flg_new = '0';
		inf_s[i].chg_info = 1;
		un++;
	  } else
		inf_s[i].flg_new_sav = '0';
	}
	if (un) {
	  set_rd_newu_inf (inf_s, n);
	}

	if (pu_cur.time_keeping_files) {
	    long hash = hash_decode_inc (name_auto_increment ());
	    long keeping = 60l * 60l * 24l * pu_cur.time_keeping_files;
	    char buff[80];

	    flg_ok = 0;
	    for (i = 0; i < n; i++)
		if (inf_s[i].flg_uo != 0 && inf_s[i].flg_d == '0' &&
		  /*  time_keeping_files */
		    (hash_decode_inc (inf_s[i].file_inc) + keeping) < hash) {

		    inf_s[i].flg_d = '1';
		    inf_s[i].chg_info = 1;
		    flg_ok++;
		}
	    if (flg_ok) {
		set_rd_newu_inf (inf_s, n);
		sprintf (buff, "   %d %s.\r7\n",
			   pu_cur.time_keeping_files,
			   (pu_cur.time_keeping_files == 1 ? "" : ""));
		rus_num_files ("", flg_ok, 2, buff);
		warn_d("<br>");
	    }
	    flg_ok = 0;
	    for (i = 0; i < n; i++)
		if (inf_s[i].flg_r == '1' && inf_s[i].flg_d == '0' &&
		  /*  time_keeping_files */
		    (hash_decode_inc (inf_s[i].file_inc) + keeping) < hash) {

		    inf_s[i].flg_d = '1';
		    inf_s[i].chg_info = 1;
		    flg_ok++;
		}
	    if (flg_ok) {
		set_rd_newu_inf (inf_s, n);
		sprintf (buff, "  %d %s.\r7\n",
			   pu_cur.time_keeping_files,
			   (pu_cur.time_keeping_files == 1 ? "" : ""));
		rus_num_files ("", flg_ok, 3, buff);
		warn_d("<br>");
	    }
	    warn_d("\n");
	}
	/*   */
	flg_ok = 0;
	qs = getenv("QUERY_STRING");
	if(qs) {
	    char *email = 0;

	    if(strncmp(qs, "read=", 5) != 0 &&
					strcmp(qs, "select") != 0 && *qs)
		error_d(6, "  %s", qs);
	    if(strncmp(qs, "read=", 5) == 0) {
		char *file_inc = qs + 5;

		qs = strchr(file_inc, '&');
		if(qs==NULL)
		    error_d(6, "   read=%s", file_inc);
		*qs++ = '\0';
		if(*qs == '\0')
		    error_d(6, "  read %s & ", file_inc);
		for (i = 0; i < n; i++) {
		    if(strcmp(inf_s[i].file_inc, file_inc) == 0 &&
			strcmp(inf_s[i].user, qs) == 0)
			    break;
		}
		if(i != n)
		  email = send_inf2email(email, i);
	    }
	    else if(strcmp(qs, "select") == 0) {
		int l;
		char *e;

		qs = getenv("REQUEST_METHOD");
		if(qs == NULL)
		    error_d(7, "   %s", "REQUEST_METHOD");
		if(strcmp(qs, request_method) != 0)
		    error_d(7, " %s,  %s %s", qs,
					"REQUEST_METHOD", request_method);
		qs = getenv("CONTENT_LENGTH");
		if(qs == NULL)
		    error_d(7, "   %s", "CONTENT_LENGTH");
		l = strtol(qs, &e, 10);
		if(l <= 0 || *e != 0)
		    error_d(7, "  %s", "CONTENT_LENGTH");
		e = mallocc(l+1);
		if(fread(e, 1, l, stdin) != l)
		    error_d(7, "   %d ", l);
		e[l] = 0;
		qs = e;

		while (qs && *qs) {
		  const char *name = qs;
		  char *value = strchr(qs, '=');

		  if (!value)         /* &XXX without '=' */
		      break;
		  *value++ = 0;
		  qs = strchr(value, '&');
		  if (qs)
		      *qs++ = 0;
		  e = (char *)name;
		  decodeString(e);

		  decodeString(value);
		  l = strlen(value);
		  e = strchr(name, '/');
		  if(e==NULL)
		    error_d(7, "   =%s=", name);
		  *e++ = 0;
		  for (i = 0; i < n; i++)
		    if(strcmp(inf_s[i].user, name) == 0 &&
				strcmp(inf_s[i].file_inc, e) == 0)
			break;
		  if(i == n)
		    continue;
		  if(l==strlen("  ")) {
		    if((inf_s[i].flg_r == '1' && inf_s[i].flg_d == '1')
							|| inf_s[i].flg_uo) {
			if(del_ok == 0)
			    del_ok = mallocc(n);
			del_ok[i] = 1;
		    }
		  }
		  else if(l==strlen("")) {
		    if(inf_s[i].flg_d != '1') {
			inf_s[i].flg_d = '1';
			inf_s[i].chg_info = 1;
			flg_ok++;
		    }
		  }
		  else if(l==strlen("")) {
		    if (inf_s[i].flg_d == '1') {
			inf_s[i].flg_d = '0';
			inf_s[i].chg_info = 1;
			flg_ok++;
		    }
		  }
		  else if(l==strlen("")) {
		    email = send_inf2email(email, i);
		  }
		  else
		    error_d(7, "   =%s=", value);
		}
		if(flg_ok)
		    set_rd_newu_inf (inf_s, n);
	    }
	}
	un = 0;
	/*    */
	for (i = 0; i < n; i++)
		if (del_ok == 0 || del_ok[i] == 0)
		    put_ls_in(i, un++ == 0);
	if(un) {
	    printf("</TABLE>\n<HR>\n");
	    printf("<P><INPUT TYPE=SUBMIT VALUE=> </FORM>\n");
	}
  }

  un = 0;
  if(del_ok) {
    for(i=0; i<n; i++) {
	if(del_ok[i]) {
	    inf_s[i].flg_d = '1';
	    un++;
	} else if(inf_s[i].flg_d == '1') {
		inf_s[i].flg_d = '0';
	}
    }
    unlink_db_in (inf_s, n, 1);
    free(del_ok);
  }
  dvar[find_var("IA")].v.ival = n-un;
}


int main()
{
	struct passwd *pwd;
	FILE *inp;
	char *uri;
	char *user;
	int login_ok = 0;
	int i;

	printf("%s", first);
	atexit(exit_bottom_msg);

	pu_cur.l = 'K';                 /* koi8 */
	pu_cur.flg_nocolor = 1;         /* no ESC color */

	pwd = getpwuid (geteuid());
	if(pwd == NULL)
		error_d(1, "     %d", geteuid());
	if(chdir (pwd->pw_dir))
		error_d(1, "   chdir(%s)", pwd->pw_dir);

	uri = getenv("PATH_INFO");
	if(uri == NULL || *uri == 0 || (*uri == '/' && uri[1] == 0))
		error_d(1, " //  ");

	user = uri+1;
	uri = strchr(user+1, '/');
	if(uri)
	    *uri = 0;   /*  /  [/]?*   */
	str_up(user);
	if(chdir (dir_users) || chdir (Adm))
		error_d(1, "   chdir   ");

	n_all_pu = all_abonents (&all_pu);
	i = get_pu(&pu_cur, user);
	pu_cur.l = 'K';                 /* koi8 */
	pu_cur.flg_nocolor = 1;         /* no ESC color */
	if(i == 0)
		error_d(1, "     %s", user);
	i = find_var("UR");
	dvar[i].v.sval = pu_cur.user;

	uri = getenv("HTTP_COOKIE");
	if(uri != NULL) {
	    if(strncmp(uri, "pass=", 5) != 0) {
		error_d(1, "  %s", uri);
	    } else {
		char *pass;

		pass = crypt(pu_cur.pass, salt);
		if(strcmp(uri+5, pass) == 0) {
		    login_ok = 1;
		    chdir("..");
		    if(chdir(pu_cur.user))
			error_d(1, "      %s", pu_cur.user);
		}
	    }
	}
	if(!login_ok) {
	    uri = f_prompt("%s%s", pwd->pw_dir, reg_form);
	    if(uri == NULL)
		error_d(2, " !");
	    inp = fopen(uri, "r");
	    if(inp == NULL)
		error_d(3, "     %s: %m", uri);
	    parse_form(inp);
	    return 0;
	}

	set_I_vars();
	if(dvar[find_var("IA")].v.ival == 0) {
	    printf("<p>   <BR>\n");
	}
	printf("<HR><a href=\"%s/%s\"> </a>\n", main_cgi, pu_cur.user);

	return 0;
}
