#include "keyboard.h"
#include "fun.h"
#include "db.h"

static FILE *fu;

#define OUT_DEBUG_LOG 1                 /* all printed to file debug */

int single_user_mode;
int mode_auto_put_regs;
int mode_auto_del_putted_regs;
int mode_auto_get_new_files;
int mode_auto_get_proto;
int mode_auto_del_putted_newfin;
int mode_nogetrem;
int mode_nolist;
int mode_rz_win;

static int login_ok;

int
login (int flg_no_adm_pass)
{
  int n, nu;
  int ok;
  char *s = "";
  FILE *autopt;

  if (n_all_pu == 0) /*         */
	n_all_pu = all_abonents (&all_pu);
  pu_cur.flg_nocolor = 1;
  for (n = 0; n < 3; n++) {
	for (nu = 0; nu < 3; nu++) {
	  if (flg_no_adm_pass) {
		warn_d ("\nENTER YOUR NAME => %s\n", Adm);
		s = fixeditstr (Adm);
	  } else
		s = login_editstring ("\nENTER YOUR NAME");
	  if (s[0] != 0)
		break;
	}
	if (s[0] == 0)
	  goto an;
	ok = get_pu (&pu_cur, s);
	if (ok != 0 && pu_cur.flg_nocolor == 0)
	  putcs ("[1m\r7");            /* bold & gray (==white) */
	if (flg_no_adm_pass)
	  break;
	s = pstringnoecho ("       PASSWORD");
	if (!ok) {
	aa:
	  putcs ("ACCESS DENIED\n");
	  sleep (3);
	  continue;
	}
	if (pu_cur.pass[0] == '*' && pu_cur.pass[1] == 0)
	  ok = 1;
	else
	  ok = !strcmp (s, pu_cur.pass);
	if (ok)
	  break;
	else
	  goto aa;
  }
#ifdef OUT_DEBUG_LOG
  if(pu_cur.user[0])
    cuslog = fopen (f_prompt ("../%s/debug", pu_cur.user), "a");
  if (cuslog) {
	setlinebuf (cuslog);
	if (pu_cur.flg_nocolor == 0)
	  fprintf (cuslog, "ANSI Color mode ON\n");
  }
#endif
  if(pu_cur.user[0]) {
    autopt = fopen (f_prompt ("../%s/autopt", pu_cur.user), "r");
    if(autopt) {
      while ((nu = getc(autopt)) != EOF) {
	  if (nu == ' ' || nu == '\t' || nu == '\n' || nu == '\r') {
		continue;
	  } else {
	    unsigned char sup[2];

	    sup[0] = nu;
	    sup[1] = 0;
	    str_up(sup);
	    nu = sup[0];
	  }
	  if (nu == 'E' || nu == 'K' || nu == 'A' || nu == 'W') {
		pu_cur.l = nu;
	  } else if (nu == 'R') {
		if (pu_cur.l == 'E')
		  /* translit     */
		  pu_cur.l = 'A';
	  } else if (nu == 'Q') {
		mode_auto_put_regs ^= 1;
	  } else if (nu == 'N') {
		mode_auto_get_new_files ^= 1;
	  } else if (nu == 'D') {
		mode_auto_del_putted_regs ^= 1;
	  } else if (nu == 'C') {
		mode_auto_get_proto ^= 1;
	  } else if (nu == 'U') {
		mode_auto_del_putted_newfin ^= 1;
	  } else if (nu == 'G') {
		mode_nogetrem ^= 1;
	  } else if (nu == 'S') {
		mode_nolist ^= 1;
	  } else if (nu == 'O') {
		mode_rz_win ^= 1;
	  } else {
		if (cuslog)
		    fprintf (cuslog, "   %c\n", nu);
		s++;
	  }
	}
	fclose(autopt);
      }
  }
  if (ok != 0 && (pu_cur.af | 040) == 'a') {
	for (;;) {
	  s = editstring ("LANGUAGE,?-help");
loop_help:
	  if (*s == '?')
		putcs ("\
E - Translit, K - KOI8, A - CP866, W - CP1251 \n\
R -    \n\
T - telnet , P - ppp \n\
Q -   \n\
N -   \n\
D -   \n\
C -     \n\
U -     \n\
S -   `',   \n\
O -    ZMODEM   \n\
G -     \n\n");
	  else
		break;
	}
	while (*s) {
	  if (*s == 'E' || *s == 'K' || *s == 'A' || *s == 'W') {
		pu_cur.l = *s;
		s++;
	  } else if (*s == '?') {
		goto loop_help;
	  } else if (*s == 'R') {
		if (pu_cur.l == 'E')
		  /* translit     */
		  pu_cur.l = 'A';
		s++;
	  } else if (*s == 'Q') {
		mode_auto_put_regs ^= 1;
		s++;
	  } else if (*s == 'N') {
		mode_auto_get_new_files ^= 1;
		s++;
	  } else if (*s == 'T' || *s == 'P')
		goto llk;
	  else if (*s == 'D') {
		mode_auto_del_putted_regs ^= 1;
		s++;
	  } else if (*s == 'C') {
		mode_auto_get_proto ^= 1;
		s++;
	  } else if (*s == 'U') {
		mode_auto_del_putted_newfin ^= 1;
		s++;
	  } else if (*s == 'G') {
		mode_nogetrem ^= 1;
		s++;
	  } else if (*s == 'S') {
		mode_nolist ^= 1;
		s++;
	  } else if (*s == 'O') {
		mode_rz_win ^= 1;
		s++;
	  } else {
		warn_d ("   %c\n", *s);
		s++;
	  }
	}
  } else {
	if (ok != 0 && (pu_cur.af | 040) != 'a')
	  warn_d ("\r1Your login is blocked\r7\n");
  an:
	error_d (3, "ACCESS DENIED");
  }
llk:
  login_ok = 1;
  if (!strcmp (gates_group, pu_cur.grp) && *s == 0)
	error_d (3, "You only gateways user!");
  if (strcmp (Adm, pu_cur.user) == 0 && pu_cur.priv != GRANTS_ADM) {
	/* database users corrupt or version < 1.5.5 */
	warn_d ("\r1Warning: %s not have (%d) %s grants. Setted\r7\n", Adm,
			pu_cur.priv, Adm);
	pu_cur.priv = GRANTS_ADM;
  }
  if ((pu_cur.af | 040) != pu_cur.af) {   /*   */
    mode_rz_win ^= 1;
  }
  return *s;
}

void
detect_single_mode (void)
{
  FILE *f_single_user;

  if (single_user_mode == 0 && fu != NULL) {
	f_single_user = fopen (fname_single, "r");
	if (f_single_user != NULL) {
	  fclose (f_single_user);
	  single_user_mode++;
	  put_log ("Detect single user mode\n");
	  putcs ("\n    .\n");
	  if (pu_cur.priv != GRANTS_ADM)
		error_d (2, ",   .");
	}
  }
}

static time_t start_time;
static int not_put_to_stdout;

static void
log_logout (void)
{
  struct tm *ptm;
  int h, m;
  time_t di;

  sleep_kill_start ();
  di = time (NULL);
  ptm = localtime (&di);
  if(!not_put_to_stdout)
    warn_d (" %02d:%02d     %02d.%02d.%d\n",
		  ptm->tm_hour, ptm->tm_min,
		  ptm->tm_mday, ptm->tm_mon + 1, ptm->tm_year + 1900);
  if (fu) {                                             /*   */
	di -= start_time;
	h = di / (60 * 60);
	di -= (time_t) h *60 * 60;
	m = di / 60;
	di -= m * 60;
	put_log(
"Logout %s %02d:%02d %02d.%02d.%02d time=%02d.%02d.%02d in=%ld, out=%ld.\n",
	   tcp_clienthost (), ptm->tm_hour, ptm->tm_min, ptm->tm_mday,
	   ptm->tm_mon + 1, ptm->tm_year + 1900, h, m, (int)di, bytes_in, bytes_out);
	if(!not_put_to_stdout)
	    warn_d ("     %02d.%02d.%02d\n", h, m, (int) di);
  }
  if(!not_put_to_stdout) {
    warn_d ("    %ld.\n", bytes_in);
    warn_d ("  %ld.\n\n", bytes_out);
  }
  if (fu)
	fclose (fu);
  sleep_kill_stop ();
  fflush (stdout);
  sleep (1);
}

void
stop_term (int flg_idle_term)
{
  if(!not_put_to_stdout)
    warn_d ("\n !\n");
  if (flg_idle_term >= 0)
	put_log ("Detect SIGTERM\n");
  log_logout ();
}

void
stop_hup (void)
{
  disable_out = 1;
  put_log ("Detect SIGHUP\n");
  log_logout ();
}

void
stop_idle (void)
{
  disable_out = 1;
  put_log ("Detect IDLE\n");
  log_logout ();
}

void
stoped_new_pid (void)
{
  warn_d ("\n   !\n");
  put_log ("Detect SIGUSR1\n");
  exit (16);
}

#include <stdarg.h>

void
put_log (const char *s, ...)
{
  static int pid;
  if (fu) {
	va_list p;
	if (pid == 0)
	  pid = getpid ();
	va_start (p, s);
	fprintf (fu, "[%d]: ", pid);
	vfprintf (fu, s, p);
	va_end (p);
  }
}

int login_year;
int login_mon;

void
log_login (int gate)
{
  struct stat statb;
  struct tm *ptm;
  long t;
  FILE *fpid = 0;
  char *fpidname;
  const char *logfilename;

  if (!login_ok && gate=='S' && gate=='C')
	return;
  chdir ("..");                                 /*    ADM */
  if (chdir (pu_cur.user) < 0)
	error_d (12, "Error=chdir(%s)", pu_cur.user);
  start_time = 0;
  switch(gate) {
    case 'T':
	logfilename = "log.gt";
	break;
    case 'P':
	logfilename = "log.gp";
	break;
    case 'S':
	logfilename = "log.srv";
	not_put_to_stdout++;
	break;
    case 'C':
	logfilename = "log.cli";
	not_put_to_stdout++;
	break;
    default:
	logfilename = "log";
	break;
  }
  if (stat (logfilename, &statb) >= 0)
	start_time = statb.st_mtime;
  fu = fopen (logfilename, "a");
  if (fu == NULL)
	error_d (13, "-Error=fopen(%s)", logfilename);
  fpidname = strcpym (f_prompt ("%s.pid", prgname));
  for (; flock (fileno (fu), LOCK_EX | LOCK_NB) < 0;) {
	if (fpid == 0) {
	  put_log ("Detect already\n");
	  if(not_put_to_stdout)
	    exit(14);
	  fpid = fopen (fpidname, "r");
	} else {
	  put_log ("Detect already not timeouts\n");
	  warn_d ("     .\n");
	  fclose (fpid);
	  fpid = 0;
	}
	if (fpid != NULL) {
	  char buffp[16];
	  int oldpid;
	  if (fgets (buffp, 16, fpid) != NULL) {
		oldpid = atoi (buffp);
		if (oldpid > 1) {
		  raise_old_pid (oldpid);
		  warn_d ("   .  5 .\n");
		  sleep (5);
		  continue;
		}
	  }
	}
	error_d (2, "     ");
  }
  if (fpid)
	fclose (fpid);
  fpid = fopen (fpidname, "w");
  if (fpid == NULL)
	error_d (13, "-Error=create(pid)");
  fprintf (fpid, "%d\n", getpid ());
  fclose (fpid);
  setlinebuf (fu);
  t = time (NULL);
  ptm = localtime (&t);
  login_year = ptm->tm_year - 99;                /*   36  */
  login_mon = ptm->tm_mon + 1;
  put_log ("Login  %s %02d:%02d %02d.%02d.%02d\n",
		   tcp_clienthost (),
		   ptm->tm_hour, ptm->tm_min,
		   ptm->tm_mday, ptm->tm_mon + 1, ptm->tm_year + 1900);
  if(!not_put_to_stdout)
    warn_d (" %17s %02d:%02d %02d.%02d.%d\n", tcp_clienthost (),
		  ptm->tm_hour, ptm->tm_min, ptm->tm_mday, ptm->tm_mon + 1,
		  ptm->tm_year + 1900);
  if (start_time) {
	struct tm *ptm2;
	ptm2 = localtime (&start_time);
	if(!not_put_to_stdout)
	    warn_d ("   %02d:%02d %02d.%02d.%d\n",
			ptm2->tm_hour, ptm2->tm_min, ptm2->tm_mday,
			ptm2->tm_mon + 1,
			ptm2->tm_year + 1900);
  }
  start_time = t;
  if(!not_put_to_stdout)
    putcc ('\n');
  atexit (log_logout);
  detect_single_mode ();
}

void
start_single_mode (void)
{
  int n, nb;
  FILE *f_single_user;
  struct tm *ptm;
  time_t t;

  if (single_user_mode) {
	putcs ("     \n");
	return;
  }
  if (yes_no ("  ") != 0) {
	t = time (NULL);
	ptm = localtime (&t);
	sleep_kill_start ();
	f_single_user = fopen (fname_single, "w");
	if (f_single_user == NULL)
	  error_d (4, ":     ");
	fprintf (f_single_user,
			 "%02d:%02d %02d.%02d.%d Start single user mode\n",
			 ptm->tm_hour, ptm->tm_min,
			 ptm->tm_mday, ptm->tm_mon + 1, ptm->tm_year + 1900);
	put_log ("Start single user mode\n");
	single_user_mode++;
	fclose (f_single_user);
	sleep_kill_stop ();
	chdir ("..");
	nb = -1;
	for (n = 0; n < n_all_pu; n++) {
	  if (strcmp (all_pu[n].user, pu_cur.user) == 0)
		continue;
	  if (chdir (all_pu[n].user) == 0) {
		const char *logfilename;
		int i;

		for (i = 0; i < 3; i++) {
		  if (all_pu[n].gate == 0 && i != 0)
			break;      /* skip creating gates logs */
		  switch (i) {
		  case 0:
			logfilename = "log";
			break;
		  case 1:
			logfilename = "log.gt";
			break;
		  default:
			logfilename = "log.gp";
			break;
		  }
		  f_single_user = fopen (logfilename, "a");
		  if (f_single_user == NULL)
			warn_d ("     %s\n",
					all_pu[n].user);
		  else {
			if (flock (fileno (f_single_user), LOCK_EX | LOCK_NB) < 0) {
			  if (nb != n) {
				warn_d ("    %s\n", all_pu[n].user);
				if (yes_no (" ") == 0) {
				  chdir ("..");
				  chdir (pu_cur.user);
				  stop_single_mode ();
				  fclose (f_single_user);
				  return;
				}
				nb = n;
			  }
			  n--;
			  sleep (2);
			}
			fclose (f_single_user);
		  }
		}
		chdir ("..");
	  } else
		warn_d ("     %s\n", all_pu[n].user);
	}
	if (chdir (pu_cur.user) < 0)
	  error_d (12, "Error=chdir(%s)", pu_cur.user);
	putcs ("!      \n\
   !\n");
  }
}

void
stop_single_mode (void)
{
  if (single_user_mode == 0)
	putcs ("     \n");
  else {
	if (unlink (fname_single))
	  error_d (13, "Error delete single user mode file indicator");
	single_user_mode--;
	put_log ("Stop single user mode\n");
	putcs ("\n    \n");
  }
}
